Skip to main content
Reliable Services/HA Policy Interfaces
PUTHA Policy InterfacesSince 4.7.0SynchronousAuth Required

Update HA Policy

Update HA Policy

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the resource. Uniquely identifies the resource

Body Fields

  • updatehastrategyconditionObjectRequired

    updatehastrategycondition request body object.

    • nameString

      Resource name

    • stateString

      State

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if no root error exists

  • inventoryHaStrategyConditionInventoryRequired

    For details, see inventory

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • fencerNameStringRequired

      Fencer name

    • stateStringRequired

      State

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

PUT/zstack/v1/ha-strategy-condition/{uuid}/actions

/zstack/v1/ha-strategy-condition/{uuid}/actions

Operation ID

UpdateHaStrategyCondition

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ha-strategy-condition/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatehastrategycondition":{"name":"<name>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "9a01c1cea2793814b8b1bf228a2ff601", "name": "test", "fencerName": "hostStorageState" } }

Change History

This API has no change history records yet.

View all change history